<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>

<f:subview id="FileUploadSubviewID">
	<rich:fileUpload id="fileUploadID" 
		status="a4jStatusID"
		uploadData="#{fileUpload.data}"
		acceptedTypes="#{fileUpload.acceptedTypes}"
		disabled="#{fileUpload.disabled}" 
		autoclear="#{fileUpload.autoclear}"
		required="#{fileUpload.required}"
		requiredMessage="#{fileUpload.requiredMessage}"
		rendered="#{fileUpload.rendered}"
		listHeight="#{fileUpload.listHeight}"
		listWidth="#{fileUpload.listWidth}"
		maxFilesQuantity="#{fileUpload.maxFilesQuantity}"
		fileUploadListener="#{fileUpload.fileUploadListener}"		
		onuploadcanceled="#{event.onuploadcanceled}"
		onclear="#{event.onclear}" 
		onblur="#{event.onblur}"
		onchange="#{event.onchange}"
		onclick="#{event.onclick}"
		ondblclick="#{event.ondblclick}"		
		onerror="#{event.onerror}"
		onfocus="#{event.onfocus}"
		onkeydown="#{event.onkeydown}"
		onkeypress="#{event.onkeypress}"
		onkeyup="#{event.onkeyup}"
		onmousedown="#{event.onmousedown}"
		onmousemove="#{event.onmousemove}"
		onmouseout="#{event.onmousemout}"
		onmouseover="#{event.onmouseover}"
		onmouseup="#{event.onmouseup}"
		onselect="#{event.onselect}"		
		onsizerejected="#{event.onsizerejected}"
		ontyperejected="#{event.ontyperejected}"
		onupload="#{event.onupload}"
		onuploadcomplete="#{event.onuploadcomplete}"
		accesskey="y" alt="alternative" 
		align="#{fileUpload.align}"
		binding="#{fileUpload.myFileUpload}"		
		addButtonClass="#{fileUpload.addButtonClass}"
		addButtonClassDisabled="#{fileUpload.addButtonClassDisabled}"
		cancelButtonClass="#{fileUpload.cancelButtonClass}"
		cancelButtonClassDisabled="#{fileUpload.cancelButtonClassDisabled}"
		cleanButtonClass="#{fileUpload.cleanButtonClass}"
		cleanButtonClassDisabled="#{fileUpload.cleanButtonClassDisabled}"
		fileEntryClass="#{fileUpload.fileEntryClass}"
		fileEntryControlClass="#{fileUpload.fileEntryControlClass}"
		fileEntryControlClassDisabled="#{fileUpload.fileEntryControlClassDisabled}"
		fileEntryClassDisabled="#{fileUpload.fileEntryControlClassDisabled}"
		uploadButtonClass="#{fileUpload.uploadButtonClass}"
		uploadButtonClassDisabled="#{fileUpload.uploadButtonClassDisabled}"
		uploadListClass="#{fileUpload.uploadListClass}"
		uploadListClassDisabled="#{fileUpload.uploadListClassDisabled}"
		immediateUpload="#{fileUpload.immediateUpload}"
		locale="ru"
		noDuplicate="#{fileUpload.noDuplicate}"
		tabindex="222"
		valueChangeListener="#{fileUpload.valueChangeListener}">
		<f:facet name="label">
			<h:outputText value="{_KB}KB from {KB}KB uploaded :[ {mm}:{ss} ]"></h:outputText>
		</f:facet>
	</rich:fileUpload>
	
	<h:panelGrid columns="2">
	<a4j:commandButton value="show file" reRender="fileUploadDataID"></a4j:commandButton>
	<h:dataTable id="fileUploadDataID" value="#{fileUpload.data}" var="item">
		<h:column>
			<h:outputText value="#{item.fileName}"></h:outputText>
		</h:column>
	</h:dataTable>
	</h:panelGrid>

	<h:panelGrid columns="2">
		<h:outputText value="acceptedTypes"></h:outputText>
		<h:inputText value="#{fileUpload.acceptedTypes}" onchange="submit();"></h:inputText>

		<h:outputText value="listHeight"></h:outputText>
		<h:inputText value="#{fileUpload.listHeight}" onchange="submit();"></h:inputText>

		<h:outputText value="listWidth"></h:outputText>
		<h:inputText value="#{fileUpload.listWidth}" onchange="submit();"></h:inputText>

		<h:outputText value="maxFilesQuantity"></h:outputText>
		<h:inputText value="#{fileUpload.maxFilesQuantity}"
			onchange="submit();"></h:inputText>

		<h:outputText value="autoclear"></h:outputText>
		<h:selectBooleanCheckbox value="#{fileUpload.autoclear}"
			onchange="submit();"></h:selectBooleanCheckbox>

		<h:outputText value="disabled"></h:outputText>
		<h:selectBooleanCheckbox value="#{fileUpload.disabled}"
			onchange="submit();"></h:selectBooleanCheckbox>

		<h:outputText value="rendered"></h:outputText>
		<h:selectBooleanCheckbox value="#{fileUpload.rendered}"
			onchange="submit();"></h:selectBooleanCheckbox>

		<h:outputText value="required"></h:outputText>
		<h:selectBooleanCheckbox value="#{fileUpload.required}"
			onchange="submit();"></h:selectBooleanCheckbox>

		<h:outputText value="immediateUpload"></h:outputText>
		<h:selectBooleanCheckbox value="#{fileUpload.immediateUpload}">
		<a4j:support event="onchange" reRender="fileUploadID"></a4j:support>
		</h:selectBooleanCheckbox>

		<h:outputText value="requiredMessage"></h:outputText>
		<h:inputText value="#{fileUpload.requiredMessage}"
			onchange="submit();"></h:inputText>
			
			<h:outputText value="Align"></h:outputText>
			<h:selectOneRadio value="#{fileUpload.align}">
			<a4j:support event="onchange" reRender="fileUploadID"></a4j:support>
			<f:selectItem itemLabel="right" itemValue="right"/>
			<f:selectItem itemLabel="left" itemValue="left"/>
			<f:selectItem itemLabel="center" itemValue="center"/>
			</h:selectOneRadio>
			
			<h:commandButton actionListener="#{fileUpload.checkBinding}" value="Binding"></h:commandButton>
			<h:outputText value="#{fileUpload.bindLabel}"></h:outputText>
			
			<h:outputText value="noDuplicate"></h:outputText>
			<h:selectBooleanCheckbox value="#{fileUpload.noDuplicate}">
			<a4j:support event="onchange" reRender="fileUploadID"></a4j:support>			
			</h:selectBooleanCheckbox>
			
			<h:outputText value="Uploaded data:"></h:outputText>
			<h:outputText value="#{fileUpload.changedLabel}"></h:outputText>
	</h:panelGrid>
</f:subview>